library zhihu.daily.constants;

enum ApiType {
  startImage,
  appVersionAndroid,
  appVersionIOS,
  latestNews,
  oldNews,
  story,
  storyExtra,
  longComments,
  shortComments,
  themes,
  themeContent
}

enum StartImageSize {
  size320,
  size480,
  size720,
  size1080
}

const List<String> kStartImageSizeList = const ['320*432', '480*728', '720*1184', '1080*1776'];

const String kVersion = '4';
const String kBaseUrl = 'http://news-at.zhihu.com/api/$kVersion/';
const String kStartImageUrl = kBaseUrl + 'start-image';
const String kAndroidVersionUrl = kBaseUrl + 'version/android/2.5.0';
const String kIOSVersionUrl = kBaseUrl + 'version/ios/2.5.0';
const String kLatestNewsUrl = kBaseUrl + 'news/latest';
const String kOldNewsUrl = kBaseUrl + 'news/before';
const String kStoryUrl = kBaseUrl + 'news';
const String kStoryExtraUrl = kBaseUrl + 'story-extra';
const String kCommentsUrl = kBaseUrl + 'story';
const String kThemesUrl = kBaseUrl + 'themes';
const String kThemeContentUrl = kBaseUrl + 'theme';
