library zhihu.daily.models;

class StartImage {
  String text;
  String img;

  StartImage.fromJsno(Map json) {
    text = json['text'];
    img = json['img'];
  }
}

class News {
  String date;
  String title;
  String image;
  String type;
  String id;
  bool isTop;

  News.fromJson(Map json) {
    _build(json);
    isTop = false;
  }

  News.top(Map json) {
    _build(json);
    isTop = true;
  }

  _build(Map json) {
    date = json['date'];
    title = json['title'];

    if (json.containsKey('image')) {
      image = json['image'];
    } else if (json.containsKey('images')) {
      image = json['images'][0];
    }

    type = json['type'];
    id = json['id'];
  }
}

class Story {}

class StoryExtra {}

class Comment {}

class Theme {}
